const $EventBuses = Java.loadClass('dev.architectury.platform.forge.EventBuses')
const $InfuseTypeDeferredRegister = Java.loadClass('mekanism.common.registration.impl.InfuseTypeDeferredRegister')
const INFUSETYPE = new $InfuseTypeDeferredRegister('kubejs')


INFUSETYPE.register('aquamarine', 0x7afdff)
INFUSETYPE.register($EventBuses.getModEventBus('kubejs').get())
ClientEvents.lang('en_us', event => {
    event.add('infuse_type.kubejs.aquamarine', "Aquamarine")
})

